[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: 2.5.50 kernel compilation problem



In article <3DECB936.5090805@technisys.net>,
Miguel Griffa  <mgriffa@technisys.net> wrote:
>Hi all
>I've been trying to compile the 2.5.50 kernel and after _many_ 
>configuration changes (to make it comilable) I've arrived to an error 
>which I have no clue about.

If you want to mess around with current 2.5 kernels you really
should subscribe to and follow the linux-kernel mailinglist for
a few weeks. The 2.5 series is in complete flux right now.

One of the things is that the whole loadable modules stuff is
being replaced, and with the current 2.5.50 kernel modules
probably don't work at all unless you get the latest alpha
module utilities (which are not compatible with 2.4, bla bla)
and install them manually .. chances are you may not be able
to boot 2.4 anymore after that.

>after compiling/intalling: request_module[ide-disk]: not ready
>kernel panic
>does anyone have any idea how to interpret this?

Yes, 2.5.50 is a developers kernel and many things simply do not
work. I've tried to run 2.5.x on and off on some of our servers
for the last few months - under load, they don't survive for
more than one or a few days before panicking and possibly
corrupting the filesystem(s). Caveat Emptor.

Mike.
-- 
They all laughed when I said I wanted to build a joke-telling machine.
Well, I showed them! Nobody's laughing *now*! -- acesteves@clix.pt



Reply to: